### Enumeration

# AppStream ComponentKind

#### Declaration

    enum AppStream.ComponentKind

#### Description [src]

The type of an `AsComponent`.

#### Members

`AS_COMPONENT_KIND_UNKNOWN`

  Type invalid or not known.

  - Value: `0`
  - Available since: 1.0
`AS_COMPONENT_KIND_GENERIC`

  A generic (= without specialized type) component.

  - Value: `1`
  - Available since: 1.0
`AS_COMPONENT_KIND_DESKTOP_APP`

  An application with a .desktop-file.

  - Value: `2`
  - Available since: 1.0
`AS_COMPONENT_KIND_CONSOLE_APP`

  A console application.

  - Value: `3`
  - Available since: 1.0
`AS_COMPONENT_KIND_WEB_APP`

  A web application.

  - Value: `4`
  - Available since: 1.0
`AS_COMPONENT_KIND_SERVICE`

  A system service launched by the init system.

  - Value: `5`
  - Available since: 1.0
`AS_COMPONENT_KIND_ADDON`

  An extension of existing software, which does not run standalone.

  - Value: `6`
  - Available since: 1.0
`AS_COMPONENT_KIND_RUNTIME`

  An application runtime platform.

  - Value: `7`
  - Available since: 1.0
`AS_COMPONENT_KIND_FONT`

  A font.

  - Value: `8`
  - Available since: 1.0
`AS_COMPONENT_KIND_CODEC`

  A multimedia codec.

  - Value: `9`
  - Available since: 1.0
`AS_COMPONENT_KIND_INPUT_METHOD`

  An input-method provider.

  - Value: `10`
  - Available since: 1.0
`AS_COMPONENT_KIND_OPERATING_SYSTEM`

  A computer operating system.

  - Value: `11`
  - Available since: 1.0
`AS_COMPONENT_KIND_FIRMWARE`

  Firmware.

  - Value: `12`
  - Available since: 1.0
`AS_COMPONENT_KIND_DRIVER`

  A driver.

  - Value: `13`
  - Available since: 1.0
`AS_COMPONENT_KIND_LOCALIZATION`

  Software localization (usually l10n resources).

  - Value: `14`
  - Available since: 1.0
`AS_COMPONENT_KIND_REPOSITORY`

  A remote software or data source.

  - Value: `15`
  - Available since: 1.0
`AS_COMPONENT_KIND_ICON_THEME`

  An icon theme following the XDG specification.

  - Value: `16`
  - Available since: 1.0

#### Type functions

###### as_component_kind_from_string

Converts the text representation to an enumerated value.

###### as_component_kind_to_string

Converts the enumerated value to an text representation.